package com.jeeplus.modules.sg.audit.information.utils;

import freemarker.template.Template;

import java.io.File;
import java.io.FileOutputStream;
import java.io.OutputStreamWriter;
import java.io.Writer;
import java.util.Map;

public class FreemarkerUtil {
    //将替换好参数的doc文件保存到file文件 ， 最后导出时可以导出这个临时文件 记得最后把临时文件删掉
    public static void generateFile(Map<?, ?> dataMap, Template template, File file){
        Template t = template;
        try {
            // 这个地方不能使用FileWriter因为需要指定编码类型否则生成的Word文档会因为有无法识别的编码而无法打开
            Writer w = new OutputStreamWriter(new FileOutputStream(file), "utf-8");
            t.process(dataMap, w);
            w.close();
        } catch (Exception ex) {
            ex.printStackTrace();
            throw new RuntimeException(ex);
        }
    }
}
